# Generated by Django 2.0.5 on 2019-06-18 09:13

from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


def insert_initial_ciruit_types(apps, schema_editor):
    CircuitType = apps.get_model("accounts", "CircuitType")
    types = ["Internet", "MPLS", "PRI", "SIP", "Analog", "T1", "Point to Point", "VPLS"]
    circuit_types = [CircuitType(**{"name": name}) for name in types]
    CircuitType.objects.bulk_create(circuit_types)


class Migration(migrations.Migration):

    dependencies = [
        ('accounts', '0064_customer_is_ms_customer'),
    ]

    operations = [
        migrations.CreateModel(
            name='CircuitType',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100, unique=True)),
            ],
        ),
        migrations.RunPython(insert_initial_ciruit_types),
        migrations.AddField(
            model_name='circuitinfo',
            name='temp_circuit_type',
            field=models.ForeignKey(default=1, on_delete=django.db.models.deletion.CASCADE, to='accounts.CircuitType'),
            preserve_default=False,
        ),
    ]
